Package docking.wizard

# Interface WizardPanel

All Known Subinterfaces:
  `MagePanel<T>`

All Known Implementing Classes:
  `AbstractMageJPanel`, `AbstractWizardJPanel`, `ProjectAccessPanel`, `RepositoryPanel`, `ServerInfoPanel`, `ViewProjectAccessPanel`

public interface WizardPanel
Interface to define methods for panels to be shown in the wizard dialog.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addWizardPanelListener(WizardPanelListener l)`
  Add a listener to this panel.
  `Component`
  `getDefaultFocusComponent()`
  Returns the component, if any, that should receive focus when this panel is shown.
  `HelpLocation`
  `getHelpLocation()`
  Returns the help content location for this panel.
  `JPanel`
  `getPanel()`
  Get the panel object
  `String`
  `getTitle()`
  Get the title for this panel.
  `void`
  `initialize()`
  Initialize the panel as though this is the first time it is being displayed.
  `boolean`
  `isValidInformation()`
  Return true if the user entered valid information for this panel.
  `void`
  `removeWizardPanelListener(WizardPanelListener l)`
  Remove the listener from this panel.

- ## Method Details

  - ### getTitle

    String getTitle()
    Get the title for this panel.
    Returns:
      String title

  - ### getPanel

    JPanel getPanel()
    Get the panel object
    Returns:
      JPanel panel

  - ### isValidInformation

    boolean isValidInformation()
    Return true if the user entered valid information for this panel.
    Returns:
      boolean whether or not the info on the panel valid

  - ### initialize

    void initialize()
    Initialize the panel as though this is the first time it is being displayed.

  - ### addWizardPanelListener

    void addWizardPanelListener(WizardPanelListener l)
    Add a listener to this panel.
    Parameters:
      `l` - listener to add

  - ### removeWizardPanelListener

    void removeWizardPanelListener(WizardPanelListener l)
    Remove the listener from this panel.
    Parameters:
      `l` - listener to remove

  - ### getHelpLocation

    HelpLocation getHelpLocation()
    Returns the help content location for this panel.
    Returns:
      String help location for this panel; return null if default help location should be used.

  - ### getDefaultFocusComponent

    Component getDefaultFocusComponent()
    Returns the component, if any, that should receive focus when this panel is shown.
    Returns:
      the component, if any, that should receive focus when this panel is shown; null if no preferred focus component exists.